import { Event } from './event';
import { CfnDetectorModel } from 'aws-cdk-lib/aws-iotevents';
/**
 * (experimental) Properties for defining a state of a detector.
 *
 * @experimental
 */
export interface StateProps {
    /**
     * (experimental) The name of the state.
     *
     * @experimental
     */
    readonly stateName: string;
    /**
     * (experimental) Specifies the events on enter.
     *
     * the conditions of the events are evaluated when the state is entered.
     * If the condition is `TRUE`, the actions of the event are performed.
     *
     * @default - events on enter will not be set
     * @experimental
     */
    readonly onEnter?: Event[];
}
/**
 * (experimental) Defines a state of a detector.
 *
 * @experimental
 */
export declare class State {
    private readonly props;
    /**
     * (experimental) The name of the state.
     *
     * @experimental
     */
    readonly stateName: string;
    /**
     * @experimental
     */
    constructor(props: StateProps);
    /**
     * Return the state property JSON
     *
     * @internal
     */
    _toStateJson(): CfnDetectorModel.StateProperty;
    /**
     * returns true if this state has at least one condition via events
     *
     * @internal
     */
    _onEnterEventsHaveAtLeastOneCondition(): boolean;
}
